<parent>
<groupId>com.threerings.getdown</groupId>
<artifactId>getdown</artifactId>
- <version>1.0B-JVL-1.8.3-SNAPSHOT</version>
+ <version>1.8.3-1.0_JVL</version>
</parent>
<artifactId>getdown-ant</artifactId>
<parent>
<groupId>com.threerings.getdown</groupId>
<artifactId>getdown</artifactId>
- <version>1.0B-JVL-1.8.3-SNAPSHOT</version>
+ <version>1.8.3-1.0_JVL</version>
</parent>
<artifactId>getdown-core</artifactId>
<parent>
<groupId>com.threerings.getdown</groupId>
<artifactId>getdown</artifactId>
- <version>1.0B-JVL-1.8.3-SNAPSHOT</version>
+ <version>1.8.3-1.0_JVL</version>
</parent>
<artifactId>getdown-launcher</artifactId>
-VERSION=1.0B-JVL-1.8.3-SNAPSHOT; mvn clean package -Dgetdown.host.whitelist="jalview.org,*.jalview.org" && cp launcher/target/getdown-launcher-$VERSION.jar ../../../getdown/lib/getdown-launcher.jar && cp core/target/getdown-core-$VERSION.jar ../../../getdown/lib/getdown-core.jar && cp core/target/getdown-core-$VERSION.jar ../../../j8lib/getdown-core.jar && cp core/target/getdown-core-$VERSION.jar ../../../j11lib/getdown-core.jar
+#!/usr/bin/env bash
+
+export VERSION=1.8.3-1.0_JVL
+
+if [ x${VERSION%_JVL} = x$VERSION ]; then
+ VERSION=${VERSION}_JVL
+fi
+
+echo "Setting VERSION to '$VERSION'"
+
+perl -p -i -e 's|(<version>)[^<]*JVL[^<]*(</version>)|${1}$ENV{VERSION}${2}|;' pom.xml */pom.xml
+
+mvn clean package -Dgetdown.host.whitelist="jalview.org,*.jalview.org"
+RET=$?
+if [ x$RET = x0 ]; then
+ cp launcher/target/getdown-launcher-$VERSION.jar ../../../getdown/lib/getdown-launcher.jar
+ cp core/target/getdown-core-$VERSION.jar ../../../getdown/lib/getdown-core.jar
+ cp core/target/getdown-core-$VERSION.jar ../../../j8lib/getdown-core.jar
+ cp core/target/getdown-core-$VERSION.jar ../../../j11lib/getdown-core.jar
+fi
<groupId>com.threerings.getdown</groupId>
<artifactId>getdown</artifactId>
<packaging>pom</packaging>
- <version>1.0B-JVL-1.8.3-SNAPSHOT</version>
+ <version>1.8.3-1.0_JVL</version>
<name>getdown</name>
<description>An application installer and updater.</description>